<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__uds__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_uds_char_value_t</compoundname>
    <includes local="no">cy_ble_uds.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__uds__char__value__t_1a86a2e2ef68b5bd73bf121dcf93033cd9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_uds_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="131" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__char__value__t_1a983d5e5b5bf660bbe2583511a95859c7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___u_d_s__definitions_1gaf00de3e5ee5bbb9ee8adc03b529c3a5a">cy_en_ble_uds_char_index_t</ref></type>
        <definition>cy_en_ble_uds_char_index_t cy_stc_ble_uds_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="132" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__char__value__t_1a8220ad76c74b641c786f575d7a85ef3e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_uds_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="133" />
      </memberdef>
      <memberdef id="structcy__stc__ble__uds__char__value__t_1a1af6c4e2c0dc2bf865d8c1ad3d17b08c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_uds_char_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>GATT error code for access control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UDS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1283">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1281">
        <label>cy_stc_ble_uds_char_value_t</label>
        <link refid="structcy__stc__ble__uds__char__value__t" />
        <childnode refid="1282" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1283" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1282">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="135" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="129" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="130" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__uds__char__value__t_1a983d5e5b5bf660bbe2583511a95859c7" virt="non-virtual"><scope>cy_stc_ble_uds_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__char__value__t_1a86a2e2ef68b5bd73bf121dcf93033cd9" virt="non-virtual"><scope>cy_stc_ble_uds_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__char__value__t_1a1af6c4e2c0dc2bf865d8c1ad3d17b08c" virt="non-virtual"><scope>cy_stc_ble_uds_char_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__uds__char__value__t_1a8220ad76c74b641c786f575d7a85ef3e" virt="non-virtual"><scope>cy_stc_ble_uds_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>